<h1>{{title}}</h1>
<nav>
  <a style="margin-right: 10px" routerLink="/dashboard">Dashboard</a>
  <a routerLink="/heroes">Heroes</a>
  <a style="margin-left: 10px" routerLink="/battle">Battle</a>
</nav>
<router-outlet></router-outlet>
<app-messages></app-messages>